%define name    mousepad 
%define version 0.2.2
%define release 1mdk
%define iconname %{name}.png


Summary: A simple text editor for Xfce
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Editors
Source: %{name}-%{version}.tar.bz2
URL: http://erikharrison.net/software/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:  gtk2-devel
BuildRequires:  chrpath
BuildRequires:	libxfcegui4-devel

%description
Mousepad is a text editor for Xfce based on Leafpad. The initial reason for 
Mousepad was to provide printing support, which would have been difficult 
for Leafpad for various reasons.

Although some features are under development, currently Mousepad has folowing
features:

    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build 
 
%configure2_5x

%make

%install
rm -Rf %{buildroot} 
%makeinstall_std

# fix rpath
chrpath -d $RPM_BUILD_ROOT%{_bindir}/%{name} 
# strip binary
strip $RPM_BUILD_ROOT%{_bindir}/%{name}


%find_lang %{name}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert %{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname} 
convert %{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{_bindir}/%{name}  \
	icon="%{iconname}" \
	title="Mousepad" \
	longtitle="Text Editor" \
	needs="x11" \
	section="More Applications/Editors"
EOF   
 
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README 
%{_bindir}/* 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/* 
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
   

%changelog
* Mon Apr 04 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.2.2-1mdk
- 0.2.2

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 0.2.1-1mdk
- 0.2.1
- buildrequires libxfcegui4-devel
- strip binary

* Thu Feb 03 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.1-1mdk
- 0.1.1
- change Group to Editors
- BR chrpath and strip /bin

* Sat Jan 22 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.0-1mdk
- 1st Mdk release
